{ config, pkgs, lib, ... }: {
  boot.initrd.luks.devices.system.device =
    "/dev/disk/by-uuid/bf353bb1-43bf-453f-ae7e-0fa9b4d8778c";
  boot.initrd.kernelModules = [ "dm-snapshot" ];

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/661ad230-72da-4326-bb3a-4965006475f8";
      fsType = "btrfs";
      options = [ "subvol=nixos" ];
    };
    "/home" = {
      device = "/dev/disk/by-uuid/661ad230-72da-4326-bb3a-4965006475f8";
      fsType = "btrfs";
      options = [ "subvol=home" ];
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/A5C5-1372";
      fsType = "vfat";
    };
  };

  swapDevices = [ ];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
}
